#include "easyfind.hpp"

#include <string>
#include <iostream>
#include <vector>

int main()
{
	std::cout << "------------ std::string -------------" << std::endl;
	std::string str("bozoman");
	std::cout << "find b in " << str << ":" << *easyfind(str, 'b') << std::endl;
	std::cout << "find r in " << str << ":" << *easyfind(str, 'r') << std::endl;
	std::cout << "find n in " << str << ":" << *easyfind(str, 'n') << std::endl;
	std::cout << std::endl;

	std::cout << "------------ std::vector -------------" << std::endl;
	std::vector<int> vec;
	vec.push_back(0);
	vec.push_back(1);
	vec.push_back(2);
	vec.push_back(3);
	vec.push_back(4);
	vec.push_back(5);
	std::cout << "find 0 in " << str << ":" << *easyfind(vec, 0) << std::endl;
	std::cout << "find 14 in " << str << ":" << *easyfind(vec, 14) << std::endl;
	std::cout << "find 5 in " << str << ":" << *easyfind(vec, 5) << std::endl;

}
