#pragma once

#include <stack>

template<typename T>
class MutantStack : public std::stack<T>
{	
	public:
		MutantStack<T>() : std::stack<T>()
		{
		}
		MutantStack<T>(MutantStack<T> const& src) :
			std::stack<T>(src)
		{
		}
		~MutantStack<T>()
		{
		}

		MutantStack<T>& operator=(MutantStack<T> const& src)
		{
			if (this == &src)
				return *this;
			this->c = src.c;

			return *this;
		}

		typedef typename std::deque<T>::const_iterator iterator;

		iterator begin() const
		{
			return this->c.begin();
		}

		iterator end() const
		{
			return this->c.end();
		}
};

